
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/vmlinux.lds.S |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/vmlinux.lds.S~optimise-storage-of-read-mostly-variables-x86_64-fix-fix-fix arch/x86_64/kernel/vmlinux.lds.S
--- 25/arch/x86_64/kernel/vmlinux.lds.S~optimise-storage-of-read-mostly-variables-x86_64-fix-fix-fix	2005-05-31 21:57:51.563228592 -0700
+++ 25-akpm/arch/x86_64/kernel/vmlinux.lds.S	2005-05-31 21:58:16.292469176 -0700
@@ -56,7 +56,7 @@ SECTIONS
 #define BINALIGN(x,y) (((x) + (y) - 1)  & ~((y) - 1))
 #define CACHE_ALIGN(x) BINALIGN(x, CONFIG_X86_L1_CACHE_BYTES)
 
-  .vsyscall_0 -10*1024*1024: AT ((LOADADDR(.data.cacheline_aligned) + SIZEOF(.data.cacheline_aligned) + 4095) & ~(4095)) { *(.vsyscall_0) }
+  .vsyscall_0 -10*1024*1024: AT ((LOADADDR(.data.mostly_readonly) + SIZEOF(.data.mostly_readonly) + 4095) & ~(4095)) { *(.vsyscall_0) }
   __vsyscall_0 = LOADADDR(.vsyscall_0);
   . = ALIGN(CONFIG_X86_L1_CACHE_BYTES);
   .xtime_lock : AT CACHE_ALIGN(AFTER(.vsyscall_0)) { *(.xtime_lock) }
_
